Module java.corba
Package org.omg.PortableInterceptor

## Interface Interceptor

- All Superinterfaces:
    `IDLEntity`, `InterceptorOperations`, `Object`, `Serializable`
  All Known Subinterfaces:
    `ClientRequestInterceptor`, `IORInterceptor`, `IORInterceptor_3_0`, `ServerRequestInterceptor`

      public interface Interceptor
      extends InterceptorOperations, Object, IDLEntity

  All Portable Interceptors implement Interceptor.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableInterceptor.InterceptorOperations

      `destroy, name`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`